package routes

import (
	"github.com/gofiber/fiber/v2"
	"github.com/sujit-baniya/fiber-boilerplate/rest/middlewares"
)

func LoadRoutes(app *fiber.App) {
	// Grupo de rutas de la API con autenticación
	api := app.Group("/api").Use(middlewares.AuthApi())
	ApiRoutes(api)
	AdminApiRoutes(api)

	// Grupo de rutas web (sin autenticación)
	web := app.Group("")

	// Rutas del backend (web)
	WebRoutes(web)
}
